PPIx::Regexp::Structure::Capture(3pm)

NAME
PPIx::Regexp::Structure::Capture - Represent capture parentheses.

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(foo)}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Structure::Capture" is a PPIx::Regexp::Structure.

"PPIx::Regexp::Structure::Capture" is the parent of PPIx::Regexp::Structure::NamedCapture.

DESCRIPTION
This class represents capture parentheses.

METHODS
This class provides the following public methods. Methods not documented here are private, and unsupported in the sense that the author reserves the right to change or remove them without notice.

  name
 my $name = $element->name();

This method returns the name of the capture buffer. Unless the buffer is actually named, this will be "undef".

  number
 my $number = $element->number()

This method returns the number of the capture buffer. Note that named buffers have numbers also.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.